import "Giseldah.CalcStat";

write = Turbine.Shell.WriteLine;
Cmd = Turbine.ShellCommand();

function Cmd:Execute(command,args)
  local params = {};

  for w in (args..",,,"):gmatch("([^,]*),") do  
    table.insert(params, w) ;
  end

  local statname = params[1];
  local level;
  if (params[2]=="") then level=0 else level=tonumber(params[2]) end;
  local cn;
  if (params[3]=="") then cn=1 else if (params[3]:match("^([+-]?%d*%.?%d+)%.?$")) then cn=tonumber(params[3]) else cn=params[3] end end;
  local descr
  if (params[3] == "") then descr="CalcStat("..params[1]..","..params[2]..") = " else descr="CalcStat("..params[1]..","..params[2]..","..params[3]..") = " end;
  
  write(descr..CalcStat(statname,level,cn));
end

Turbine.Shell.AddCommand("calcstat",Cmd);

write("CalcStat version "..CalcStat("-Version",0).." loaded.");
write("usage: /calcstat statname, level [, optional]");
